Subject: Re: bug#13066: 24.2.90; setting rmail-summary-window-size causes error

From: martin rudalics <[email-masked]>
Date: Tue, 04 Dec 2012 09:36:10 +0100

> I think it's probably something to do with select-window selecting a
 > buffer when it didn't before. At least it looks to me like
 > the end of rmail-maybe-display-summary is changing buffer when in 24.2
 > it seems not to.

`select-window' now always makes its window's buffer current.  Earlier
it didn't when the window was already selected.  Maybe we should put
this into NEWS as an incompatible change.

 > I think this makes the problem go away. Other uses are unaffected AFAICS.

Please install this on the branch.  I neither use rmail nor understand
its treatment of windows.

martin